/**
 * Fractal Binding Factory.
 * Copyright (C) 2008-2009 Bull S.A.S.
 * Copyright (C) 2008-2009 INRIA, SARDES
 * Contact: fractal@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id: OsgiSkeletonAttributes.java 10461 2009-11-09 22:19:15Z loris $
 * --------------------------------------------------------------------------
 */
package org.objectweb.fractal.bf.connectors.osgi;

import java.util.Dictionary;

import org.objectweb.fractal.api.control.AttributeController;

/**
 * Attributes to configure instances of the {@link OsgiSkeletonContent}.
 * @author Loris Bouzonnet
 */
public interface OsgiSkeletonAttributes extends AttributeController {

    void setDictionary(Dictionary<?, ?> dictionary);

    void setServiceObject(Object service);

    void setServiceClassnames(String[] classnames);

}
